


## Please put in the example: PercentPos.FCS, and percentile.FCS
###  from the above two functions, use the apply or lapply function to get a list or vector of percent positives

ROC.FCS <- function(hivpos, hivneg, lineopt=1, colopt=1, overlay=FALSE){
### variable      description
  #  hivpos        vector of the observed percent positives for HIV positive samples
  #  hivneg        vector of the observed percent positives for HIV negative samples
  # lineopt        numerical value for the lty option of the plot  (line type)
  # colopt         numerical value for the col option of the plot (color type)
  # overlay        Boolean expression as to whether or not the plot is an overlay

  ###  Question: do we use the gag or the pol a or the pol b stimulated data?
  ### Question: were the percentiles for the unstimulated from the cd4pos.cd4neg dataset or the cd4neg.cd8pos gated
  ####  dataset?  or the combined gated dataset?
  
### output
  # 1.  list of sensitivities and 1-specificities according to the observed percentiles of both the HIV positive
  # samples and the HIV negative samples
  # 2.  ROC plot: 1-specificity vs sensitivity (x vs y)


  c.obs <- sort(c(hivpos, hivneg))
  total.pos <- length(hivpos)
  total.neg <- length(hivneg)

  sensitivity <- apply(as.matrix(c.obs), 1, function(x){length(hivpos[hivpos>x])/total.pos})
  spec.complement <- apply(as.matrix(c.obs), 1, function(x){length(hivneg[hivneg>x])/total.neg})
  if (overlay==TRUE) {
     lines(spec.complement, sensitivity, lty=lineopt, col=colopt)}
  else{
  plot(spec.complement, sensitivity, xlim=c(0,1), ylim=c(0,1), xlab="1-specificity = P(T>c | HIV -)",
       ylab="sensitivity = P(T>c | HIV +)", main="ROC curve", lty=lineopt, col=colopt, type="l")}

  return(list(sensitivity=sensitivity, spec.complement=spec.complement, c.obs=c.obs))
}



