xgobi.FCS <- function(myFCSobj, subset.row=NULL, subset.col=NULL,...) {
  
  cat("\n", "Warning: xgobi cannot handle very huge datasets.", "\n")
  cat("   If the process is taking a long time, please subset further.", "\n\n")
  num.row <- dim(myFCSobj@data)[1]
  num.col <- dim(myFCSobj@data)[2]
  if (is.null(subset.row)==TRUE) {
    subset.row <- 1:round((num.row/15), 0)
    cat("Note: Roughly 1/15 of the rows are selected:", length(subset.row), " rows", "\n")
  }
  if (is.null(subset.col)==TRUE){
    subset.col <- 1:round((num.col/2), 0)
    cat("Note: Roughly 1/2 of the columns are selected.", length(subset.col), " columns", "\n\n")
  }
  selected.names <- colnames(myFCSobj@data)[subset.col]

  cat("These columns are selected:", paste(selected.names, collapse=" /&/ "), "\n",
      "at the respective column postions:", paste(subset.col, collapse=" /&/ "), "\n\n")
  xgobi(myFCSobj@data[subset.row,subset.col], ...)
}
