\name{"FCSsummary-class"}
\docType{class}
\alias{"FCSsummary-class"}
\alias{FCSsummary-class}
\alias{FCSsummary}
\alias{"print-methods",FCSsummary-method}
\alias{"show-methods",FCSsummary-method}
\alias{print-methods,FCSsummary-method}
\alias{show-methods,FCSsummary-method}
\alias{print,FCSsummary-method}
\alias{show,FCSsummary-method}

\title{Class "FCSsummary" Summary object for a "FCS-class" }
\description{ The data summary statistics along with metadata output help
  summarize a "FCS-class" object using the "summary" method.}
\section{Objects from the Class}{
Objects can be created by calls of the form \code{new("FCSsummary", ...)}.
 
}
\section{Slots}{
  \describe{
    \item{\code{num.cells}:}{Object of class \code{"numeric"} the number
    of cells or rows from the data}
    \item{\code{num.param}:}{Object of class \code{"numeric"} the number
    of parameters or columns from the data}
    \item{\code{univariate.stat}:}{Object of class \code{"matrix"}
      five-number summary including the standard deviation of all the
      column variables }
    \item{\code{metadata.info}:}{Object of class \code{"list"} with
      the following slots: "Description", "ColumnParametersSummary", and "fcsinfoNames". }
  }
}
\section{Methods}{
  \describe{
    \item{"print-methods"}{\code{signature(x = "FCSsummary")}: prints the output
      of the summary statistics of the data and the metadata}
    \item{"show-methods"}{\code{signature(object = "FCSsummary")}: same as "print"}
  }
}
\references{  Trevor Hastie, Robert Tibshirani, and Jerome Friedman. The
  Elements of Statistical Learning: Data Mining, Inference, and
  Prediction. Springer Series in Statistics : New York, 2001. pp.279-283.

  Jerome H. Friedman and Nicholas I. Fisher. Bump Hunting in
  High-Dimensional Data. Tech Report. October 28, 1998.

  J. Paul Robinson, et al. Current Protocols in Cytometry.  John Wiley
  \& Sons, Inc : 2001.

  Mario Roederer and Richard R. Hardy. Frequency Difference Gating: A
  Multivariate Method for Identifying Subsets that Differe between
  Samples. Cytometry, 45:56-64, 2001.

  Mario Roederer and Adam Treister and Wayne Moore and Leonore
  A. Herzenberg. Probability Binning Comparison: A Metric for
  Quantitating Univariate Distribution Differences. Cytometry, 45:37-46,
  2001.

  Keith A. Baggerly. Probability Binning and Testing Agreement between
  Multivariate Immunofluorescence Histograms: Extending the Chi-Squared
  Test. Cytometry, 45:141-150, 2001.
}
\author{ A.J. Rossini, J.Y. Wan, and Zoe Moodie}

\seealso{
  \code{\link{"FCS-class"}},
  \code{\link{"show-methods"}},
  \code{\link{"print-methods"}}
}
\examples{
default.sum<-new("FCSsummary")

## show, print
default.sum

}
\keyword{classes}
