\name{breakpoints.ProbBin}
\alias{breakpoints.ProbBin}
%- Also NEED an `\alias' for EACH other topic documented here.
\title{ Obtain break points for Probability binning }
\description{
  To define the break points in data.var in which there are
  N observations in each bin.
}
\usage{
breakpoints.ProbBin(data.var, N)
}
%- maybe also `usage' for other objects documented here.
\arguments{
  \item{data.var}{ a vector of numeric data values for the break points
    to be determined }
  \item{N}{ the number of data points between two breaks }
}
\details{
  This function is used to determine the break points that can be used to
  specify a \code{\link{ProbBin.FCS}} object as well as a \code{\link{hist}} object.

  Please note that each bin in the histograms (in \code{ProbBin.FCS}) will be determined
  such that the end point is included (ie, for a<b, (a,b] is the bin
  interval for break points a & b.

  Thus, the output of this function will have min(data.var)-1 as the
  first break point and max(data.var) as the last break point such
  that (min(data.var)-1, min(data.var)] is the first bin/interval
  of the break points. 
}

\value{
 
 a vector of the numerical breaks 
 
}

\references{Mario Roederer, et al. "Probability Binning Comparison: A
  Metric for Quantitating Univariate Distribution Differences" Cytometry
  45:37-46 (2001).}

\author{ Zoe Moodie, A.J. Rossini, J.Y. Wan}


\seealso{
  \code{\link{ProbBin.FCS}}
  \code{\link{hist}}
}

\examples{

  x <- 1:23
  N <- 3

## making a series of cutpoints which have
## an equal number of counts in each bin 
  breaks <- breakpoints.ProbBin(x, N)

  hist(x, br=breaks, plot=FALSE)

}

\keyword{dplot}
