\name{coerce-FCSformat}
\alias{coerce,FCS,cytoFrame-method}
\alias{coerce,cytoFrame,FCS-method}
\title{Convert Data Objects}

\description{
Convert between rflowcyt and prada data objects.
}

\details{
Objects can be converted (coerced) from one class to another using
\code{as(object, Class)} where \code{object} is an object to convert
and \code{Class} is the name of the class to convert to.  The following
conversions are provided:
\tabular{ll}{
From:\tab To:\cr
\code{FCS} \tab \code{cytoFrame}\cr
\code{cytoFrame} \tab \code{FCS}\cr
}
Note that \code{cytoFrame} objects are coerced to
\code{cytoFrame} in such a way that the metadata are  not stored in the
exact same order.
}

\author{N. Le Meur}

\seealso{
\code{\link[methods]{as}} in the \code{methods} package.
}

\examples{
x <- new("FCS")
y <- as(x,"cytoFrame")

##z <- new("cytoFrame")
##z@exprs <- matrix(rnorm(5*2),5,2)
##y <- as(z,"FCS")

}

\keyword{classes}
\keyword{data}
